Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class PersonIdentification5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.PersonIdentification5

    public class PersonIdentification5
    extends java.lang.Object

Java class for PersonIdentification5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonIdentification5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DtAndPlcOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}DateAndPlaceOfBirth" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}GenericPersonIdentification1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected DateAndPlaceOfBirth` `dtAndPlcOfBirth`
`protected java.util.List<GenericPersonIdentification1>` `othr`

### Constructor Summary

Constructors
`PersonIdentification5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DateAndPlaceOfBirth` `getDtAndPlcOfBirth()` Gets the value of the dtAndPlcOfBirth property.
`java.util.List<GenericPersonIdentification1>` `getOthr()` Gets the value of the othr property.
`void` `setDtAndPlcOfBirth​(DateAndPlaceOfBirth value)` Sets the value of the dtAndPlcOfBirth property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dtAndPlcOfBirth

    protected DateAndPlaceOfBirth dtAndPlcOfBirth

#### othr

    protected java.util.List<GenericPersonIdentification1> othr

### Constructor Detail

#### PersonIdentification5

    public PersonIdentification5()

### Method Detail

#### getDtAndPlcOfBirth

    public DateAndPlaceOfBirth getDtAndPlcOfBirth()

Gets the value of the dtAndPlcOfBirth property.

Returns:
  possible object is `DateAndPlaceOfBirth`

#### setDtAndPlcOfBirth

    public void setDtAndPlcOfBirth​(DateAndPlaceOfBirth value)

Sets the value of the dtAndPlcOfBirth property.

Parameters:
  `value` - allowed object is `DateAndPlaceOfBirth`

#### getOthr

    public java.util.List<GenericPersonIdentification1> getOthr()

Gets the value of the othr property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the othr property.

For example, to add a new item, do as follows:

        getOthr().add(newItem);

Objects of the following type(s) are allowed in the list `GenericPersonIdentification1`